Subject: Re: [PATCH] mac80211: add doc for RX_FLAG_DUP_VALIDATED flag

From: Luis de Bethencourt <[email-masked]>
Date: Fri, 18 Mar 2016 18:54:34 +0000

On 18/03/16 16:09, Luis de Bethencourt wrote:
> Add documentation for the flag for duplication check.
> 
> Fixes the following warning when running make htmldocs:
> warning: Enum value 'RX_FLAG_DUP_VALIDATED' not described in enum 'mac80211_rx_flags'
> 
> Signed-off-by: Luis de Bethencourt <[email-masked]>
> ---
> Hi,
> 
> While running make htmldocs I noticed a warning about RX_FLAG_DUP_VALIDATED
> missing a description. This patch fixes this.
> 
> I have noticed the order of the descriptions of the mac80211_rx_flags doesn't
> match the order in the enum. I am happy to fix this if it would be of interest.
> 
> Thanks,
> Luis
> 
>  include/net/mac80211.h | 2 ++
>  1 file changed, 2 insertions(+)
> 
> diff --git a/include/net/mac80211.h b/include/net/mac80211.h
> index a53333c..42c8cde 100644
> --- a/include/net/mac80211.h
> +++ b/include/net/mac80211.h
> @@ -1001,6 +1001,8 @@ ieee80211_tx_info_clear_status(struct ieee80211_tx_info *info)
>   *	flag indicates that the PN was verified for replay protection.
>   *	Note that this flag is also currently only supported when a frame
>   *	is also decrypted (ie. @RX_FLAG_DECRYPTED must be set)
> + * @RX_FLAG_DUP_VALIDATED: Set this flag for the driver to check for packet
> + *	duplication by itself.
>   * @RX_FLAG_FAILED_FCS_CRC: Set this flag if the FCS check failed on
>   *	the frame.
>   * @RX_FLAG_FAILED_PLCP_CRC: Set this flag if the PCLP check failed on
> 

Please ignore the second patch I replied to this one. It is wrong due to my
misunderstanding.

This above patch adding RX_FLAG_DUP_VALIDATED is correct and I believe it to be
valid.

Thanks for the reviews,
Luis